%define pkg_name        File-ReadBackwards
%define pkg_version     1.04
%define rpm_pkg_version 1.04
%define rpm_pkg_release 2.n0i.8

Summary:       Read a file backwards by lines
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/U/UR/URI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module reads a file backwards line by line. It is simple to use, memory
efficient and fast. It supports both an object and a tied handle interface.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Mon Jun 04 2007 Marius Feraru <altblue@n0i.net> - 1.04-2.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.04-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.03-1.n0i.6
- automatic rebuild (perl 5.8.6)

* Mon Jan 31 2005 Marius FERARU <altblue@n0i.net> 0:1.03-1.n0i.5
- version 1.03

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Tue May 11 2004 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:1.02-0.n0i.2
- version 1.02
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Fri Sep 26 2003 Marius FERARU <altblue@n0i.net> 1.00-0.n0i
- version 1.00
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
